// axios
import request from '@/utils/request'

// 获取老师所带班级
export function select_techerAllGrade(params) {
  return request({
    url: '/select_techerAllGrade',
    method: 'get',
    params,
    hideloading: false
  })
}

// 获取老师所带班级
export function select_techerAllClass2(params) {
  return request({
    url: '/select_techerAllClass2',
    method: 'get',
    params,
    hideloading: false
  })
}

// 获取班级学生
export function selectClassStudent2(params) {
  return request({
    url: '/selectClassStudent2',
    method: 'get',
    params,
    hideloading: false
  })
}

// 获取老师所带班级
export function select_techerAllClass(params) {
  return request({
    url: '/select_techerAllClass',
    method: 'get',
    params,
    hideloading: false
  })
}

// 获取班级学生
export function selectClassStudent(params) {
  return request({
    url: '/selectClassStudent',
    method: 'get',
    params,
    hideloading: false
  })
}

// 获取学生详情
export function selectStudentDetail(params) {
  return request({
    url: '/selectStudentDetail',
    method: 'get',
    params,
    hideloading: false
  })
}

// 获取筛选选项（纬度）
export function selectVeiDoo(params) {
  return request({
    url: '/selectVeiDoo',
    method: 'get',
    params,
    hideloading: false
  })
}

// 添加学生评价
export function insertRecord(data) {
  return request({
    url: '/insertRecord',
    method: 'post',
    data,
    hideloading: false
  })
}

// 获取所有学生记录
export function selectRecord(params) {
  return request({
    url: '/selectRecord',
    method: 'get',
    params,
    hideloading: false
  })
}

// 获取单个学生记录详情
export function selectRecordDetail(params) {
  return request({
    url: '/selectRecordDetail',
    method: 'get',
    params,
    hideloading: false
  })
}

// 删除学生评价
export function updateRecord(data) {
  return request({
    url: '/updateRecord',
    method: 'post',
    data,
    hideloading: false
  })
}

// 删除学生评价
export function updateRecordData(data) {
  return request({
    url: '/updateRecordData',
    method: 'post',
    data,
    hideloading: false
  })
}

// 模糊搜索学生
export function selectSerStudent(params) {
  return request({
    url: '/selectSerStudent',
    method: 'get',
    params,
    hideloading: false
  })
}

// 获取学期选项
export function selectTerm(params) {
  return request({
    url: '/selectTerm',
    method: 'get',
    params,
    hideloading: false
  })
}

// 获取学期选项
export function selectManyClassStudent(params) {
  return request({
    url: '/selectManyClassStudent',
    method: 'get',
    params,
    hideloading: false
  })
}

// 获取筛选项（新）
export function selectSTEType(params) {
  return request({
    url: '/selectSTEType',
    method: 'get',
    params,
    hideloading: false
  })
}

// 获取记录地点
export function selectSTEPlace(params) {
  return request({
    url: '/selectSTEPlace',
    method: 'get',
    params,
    hideloading: false
  })
}

// 获取雷达图数据
export function selectMapStuScore(params) {
  return request({
    url: '/selectMapStuScore',
    method: 'get',
    params,
    hideloading: false
  })
}
// 获取班级平均
export function selectClaAvaScore(params) {
  return request({
    url: '/selectClaAvaScore',
    method: 'get',
    params,
    hideloading: false
  })
}

// 图表循环获取记录数据
export function selectHealthRecord(params) {
  return request({
    url: '/selectHealthRecord',
    method: 'get',
    params,
    hideloading: false
  })
}

// 获取学期选项
// export function selectTermRecord(params) {
//   return request({
//     url: '/selectTermRecord',
//     method: 'get',
//     params,
//     hideloading: false
//   })
// }
